import { api } from "../../../api"
import { modules } from "../../store"
export async function loadModulesAndSetStore(): Promise<{ [id: string]: Module }> {
    const module = await api<Module[]>("module", {})
    const moduleStore: { [id: string]: Module } = {}
    module.data.forEach((e: Module) => {
        moduleStore[e.id] = e
    })
    modules.set(moduleStore)
    return moduleStore
}
